RestrictedService

Full documentation for this service is available at /documentation/restricted-service.

SetPricesOnNonShopItems |WebMethod|

Sets the different price-types on a non shop item. To use this method the auction cannot have bids.

Parameters
  1. itemId, The id of the auction.
  2. openingPrice, The auction start price. - Is Mandatory. - Has to be less then ReservedPrice (if ReservedPrice set) - Has to be less then BinPrice (if BinPrice set)
  3. ReservedPrice, !Optional. The reservation price. (40kr) - Is not Mandatory. - The reservation price is the lowest accepted price for the auction. - It costs 40kr to add a reservation price and it is not beneficial for low price auctions - Has to be greater then OpeningPrice - Has to be less then BinPrice - The ReservedPrice cannot be removed if set. It can only be changed. - To not add a ReservedPrice set the ReservedPrice object to null.
  4. BinPrice, !Optional. The buy it now price. - Is not Mandatory. - BinPrice is a price on which you can sell the product before having any bids. - Has to be greater then OpeningPrice. - Has to be greater then ReservedPrice (if ReservedPrice is set) - To not add a BinPrice set the BinPrice object to null. - To remove a BinPrice set the BinPrice object to null.

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/RestrictedService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/SetPricesOnNonShopItems"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <SetPricesOnNonShopItems xmlns="http://api.tradera.com">
      <itemId>itemId</itemId>
      <openingPrice>openingPrice</openingPrice>
      <ReservedPrice>ReservedPrice</ReservedPrice>
      <BinPrice>BinPrice</BinPrice>
    </SetPricesOnNonShopItems>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <SetPricesOnNonShopItemsResponse xmlns="http://api.tradera.com">
      <SetPricesOnNonShopItemsResult>result</SetPricesOnNonShopItemsResult>
    </SetPricesOnNonShopItemsResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/RestrictedService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <SetPricesOnNonShopItems xmlns="http://api.tradera.com">
      <itemId>itemId</itemId>
      <openingPrice>openingPrice</openingPrice>
      <ReservedPrice>ReservedPrice</ReservedPrice>
      <BinPrice>BinPrice</BinPrice>
    </SetPricesOnNonShopItems>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <SetPricesOnNonShopItemsResponse xmlns="http://api.tradera.com">
      <SetPricesOnNonShopItemsResult>result</SetPricesOnNonShopItemsResult>
    </SetPricesOnNonShopItemsResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/RestrictedService.asmx/SetPricesOnNonShopItems?appId=string&appKey=string&itemId=string&openingPrice=string&ReservedPrice=string&BinPrice=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<SetPricesOnNonShopItemsResult xmlns="http://api.tradera.com">result</SetPricesOnNonShopItemsResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/RestrictedService.asmx/SetPricesOnNonShopItems HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&itemId=string&openingPrice=string&ReservedPrice=string&BinPrice=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<SetPricesOnNonShopItemsResult xmlns="http://api.tradera.com">result</SetPricesOnNonShopItemsResult>